Skip to main content

Save the current user's table settings

PUT
/table-settings/{tableKey}

Creates or replaces the settings of a specific table for the user of the current JWT session only.

Contract

Parameter
Value
Sectiontable-settings
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
tableKeypathyesstringStable table key
settingsbodyyesobjectTable settings
  • {
      "columnWidths": {
        "<key>": 0
      },
      "knownColumns": [
        "<string>"
      ],
      "rowHeight": "compact",
      "version": 0,
      "visibleColumns": [
        "<string>"
      ]
    }

Responses

4 responses

Status
Description
Type
200
OKobject
400
Invalid settingsobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "settings": {
        "columnWidths": {
          "<key>": 0
        },
        "knownColumns": [
          "<string>"
        ],
        "rowHeight": "compact",
        "version": 0,
        "visibleColumns": [
          "<string>"
        ]
      },
      "tableKey": "<string>",
      "updatedAt": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }